/*
 * $Id$
 */

package npanday.model.assembly.plugins;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class AssemblyPluginsModel implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field assemblyPlugins
     */
    private java.util.List assemblyPlugins;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addAssemblyPlugin
     * 
     * @param assemblyPlugin
     */
    public void addAssemblyPlugin(AssemblyPlugin assemblyPlugin)
    {
        if ( !(assemblyPlugin instanceof AssemblyPlugin) )
        {
            throw new ClassCastException( "AssemblyPluginsModel.addAssemblyPlugins(assemblyPlugin) parameter must be instanceof " + AssemblyPlugin.class.getName() );
        }
        getAssemblyPlugins().add( assemblyPlugin );
    } //-- void addAssemblyPlugin(AssemblyPlugin) 

    /**
     * Method getAssemblyPlugins
     */
    public java.util.List getAssemblyPlugins()
    {
        if ( this.assemblyPlugins == null )
        {
            this.assemblyPlugins = new java.util.ArrayList();
        }
        
        return this.assemblyPlugins;
    } //-- java.util.List getAssemblyPlugins() 

    /**
     * Method removeAssemblyPlugin
     * 
     * @param assemblyPlugin
     */
    public void removeAssemblyPlugin(AssemblyPlugin assemblyPlugin)
    {
        if ( !(assemblyPlugin instanceof AssemblyPlugin) )
        {
            throw new ClassCastException( "AssemblyPluginsModel.removeAssemblyPlugins(assemblyPlugin) parameter must be instanceof " + AssemblyPlugin.class.getName() );
        }
        getAssemblyPlugins().remove( assemblyPlugin );
    } //-- void removeAssemblyPlugin(AssemblyPlugin) 

    /**
     * Set null
     * 
     * @param assemblyPlugins
     */
    public void setAssemblyPlugins(java.util.List assemblyPlugins)
    {
        this.assemblyPlugins = assemblyPlugins;
    } //-- void setAssemblyPlugins(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
